Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  class JavapClass extends Javap

  Javap command implementation.

  Javap command implementation.

  Definition Classes
    interpreter
- JavapTool

c

scala.tools.nsc.interpreter.JavapClass

# JavapTool 

###
Companion object JavapTool

#### class JavapTool extends AnyRef

Source
  JavapClass.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JavapTool
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new JavapTool()

### Type Members

1.  type ByteAry = Array[Byte]
2.  implicit class Failer [A] extends AnyRef
   Attributes
     protected
3.  type Input = (String, Try[ByteAry])
4.  class JavaReporter extends DiagnosticListener[JavaFileObject] with Clearable
5.  class JavapFileManager extends ForwardingJavaFileManager[JavaFileManager]
6.  type Task = AnyRef { def call(): Boolean }

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from JavapTool to any2stringadd[JavapTool] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (JavapTool, B)
   Implicit
     This member is added by an implicit conversion from JavapTool to ArrowAssoc[JavapTool] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  val TaskClass: Class[Task]
7.  val TaskCtor: Constructor[AnyRef { def call(): Boolean }]
8.  def apply(options: Seq[String], filter: Boolean)(inputs: Seq[Input]): List[JpResult]

   Run the tool.

9.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
10.  def clone(): AnyRef
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
11.  val defaultFileManager: JavaFileManager
12.  def ensuring(cond: (JavapTool) ⇒ Boolean, msg: ⇒ Any): JavapTool
    Implicit
      This member is added by an implicit conversion from JavapTool to Ensuring[JavapTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (JavapTool) ⇒ Boolean): JavapTool
    Implicit
      This member is added by an implicit conversion from JavapTool to Ensuring[JavapTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): JavapTool
    Implicit
      This member is added by an implicit conversion from JavapTool to Ensuring[JavapTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): JavapTool
    Implicit
      This member is added by an implicit conversion from JavapTool to Ensuring[JavapTool] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
18.  def failed: Boolean
    Attributes
      protected
19.  def fileManager(inputs: Seq[Input]): JavapFileManager
20.  def filterLines(target: String, text: String): String
21.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from JavapTool to StringFormat[JavapTool] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
24.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  def noToolError: JpError
    Attributes
      protected
28.  final def notify(): Unit
    Definition Classes
      AnyRef
29.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
30.  val reporter: JavaReporter
31.  def showable(target: String, filter: Boolean): Showable

    Create a Showable to show tool messages and tool output, with output massage.

    Create a Showable to show tool messages and tool output, with output massage.

    target

      attempt to filter output to show region of interest

    filter

      whether to strip REPL names

32.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
33.  def task(options: Seq[String], classes: Seq[String], inputs: Seq[Input]): Task
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
38.  val writer: CharArrayWriter
39.  def written: String
40.  def →[B](y: B): (JavapTool, B)
    Implicit
      This member is added by an implicit conversion from JavapTool to ArrowAssoc[JavapTool] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from JavapTool to any2stringadd[JavapTool]

### Inherited by implicit conversion StringFormat from JavapTool to StringFormat[JavapTool]

### Inherited by implicit conversion Ensuring from JavapTool to Ensuring[JavapTool]

### Inherited by implicit conversion ArrowAssoc from JavapTool to ArrowAssoc[JavapTool]

### Ungrouped